import bpy
import random
import math
import pickle
# from .general import DirectionalPoint2d, Rect2d, DirectionalPoints2dCollection
# from ..utils import définirPixel
from bpy.types import Node
from .. import CityNodeTreeNode


class BuildingGenerator1Node(Node, CityNodeTreeNode):
	bl_label = 'Building generator 1'

	user_data = bpy.props.StringProperty(
		name='Tags',
		description='Set your custom data here. They act like tags, and can be used by various algorithms further down in the graph hierarchy. Check the doc '
					'for more information.', )

	pickled_datablock = bpy.props.StringProperty()

	def init(self, context):
		self.width = 300
		self.outputs.new('DatablockSocket', 'DATA_Mesh datablock')

	def draw_buttons(self, context, layout):
		row = layout.row()
		row.label(text='TODO')
		row = layout.row()
		row.prop(self, 'user_data')

	def update(self):
		pass
